<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>TIML: appCNNClass.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIML
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_4f218e5c1c68a8760266841df915118e.html">src</a></li><li class="navelem"><a class="el" href="dir_230ff266809b6c822309e6868f081b10.html">app</a></li><li class="navelem"><a class="el" href="dir_e5b67a8a4144e6ae177326db1accf5e2.html">cnn</a></li><li class="navelem"><a class="el" href="dir_5dca0992475f9d5363b80eafbe83135b.html">class</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">appCNNClass.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="timl_8h_source.html">timl.h</a>&quot;</code><br/>
</div>
<p><a href="appCNNClass_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga74ae1f2ec0bb9e1cfc344cdfd204f4da"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga74ae1f2ec0bb9e1cfc344cdfd204f4da"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__appCNNClass.html#ga74ae1f2ec0bb9e1cfc344cdfd204f4da">appCNNClassMNISTTraining</a> ()</td></tr>
<tr class="memdesc:ga74ae1f2ec0bb9e1cfc344cdfd204f4da"><td class="mdescLeft">&#160;</td><td class="mdescRight">MNIST training example. <br/></td></tr>
<tr class="separator:ga74ae1f2ec0bb9e1cfc344cdfd204f4da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafa188db78d9c7794ae1bac7a8c93cb3a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gafa188db78d9c7794ae1bac7a8c93cb3a"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__appCNNClass.html#gafa188db78d9c7794ae1bac7a8c93cb3a">appCNNClassMNISTTesting</a> ()</td></tr>
<tr class="memdesc:gafa188db78d9c7794ae1bac7a8c93cb3a"><td class="mdescLeft">&#160;</td><td class="mdescRight">MNIST classification testing example. <br/></td></tr>
<tr class="separator:gafa188db78d9c7794ae1bac7a8c93cb3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac0aaedb9badf585311124c33751ee778"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gac0aaedb9badf585311124c33751ee778"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__appCNNClass.html#gac0aaedb9badf585311124c33751ee778">appCNNClassCIFAR10Training</a> ()</td></tr>
<tr class="memdesc:gac0aaedb9badf585311124c33751ee778"><td class="mdescLeft">&#160;</td><td class="mdescRight">CIFAR10 training example. <br/></td></tr>
<tr class="separator:gac0aaedb9badf585311124c33751ee778"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaff0f3476d60a46eeb68eae09d6df964a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaff0f3476d60a46eeb68eae09d6df964a"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__appCNNClass.html#gaff0f3476d60a46eeb68eae09d6df964a">appCNNClassCIFAR10Testing</a> ()</td></tr>
<tr class="memdesc:gaff0f3476d60a46eeb68eae09d6df964a"><td class="mdescLeft">&#160;</td><td class="mdescRight">CIFAR10 testing example. <br/></td></tr>
<tr class="separator:gaff0f3476d60a46eeb68eae09d6df964a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gada456a8096611989894d1ea86e5db990"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gada456a8096611989894d1ea86e5db990"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__appCNNClass.html#gada456a8096611989894d1ea86e5db990">appCNNClassImageNetCaffeNetTesting</a> ()</td></tr>
<tr class="memdesc:gada456a8096611989894d1ea86e5db990"><td class="mdescLeft">&#160;</td><td class="mdescRight">CaffeNet classification testing example. <br/></td></tr>
<tr class="separator:gada456a8096611989894d1ea86e5db990"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6e0261a628661780625cd97ef79d2fad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga6e0261a628661780625cd97ef79d2fad"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__appCNNClass.html#ga6e0261a628661780625cd97ef79d2fad">appCNNClassImageNetCaffeNetTraining</a> ()</td></tr>
<tr class="memdesc:ga6e0261a628661780625cd97ef79d2fad"><td class="mdescLeft">&#160;</td><td class="mdescRight">CaffeNet training example. <br/></td></tr>
<tr class="separator:ga6e0261a628661780625cd97ef79d2fad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga58374035d8fb4279976c717200afa6e7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga58374035d8fb4279976c717200afa6e7"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__appCNNClass.html#ga58374035d8fb4279976c717200afa6e7">appCNNClassImageNetAlexNetTesting</a> ()</td></tr>
<tr class="memdesc:ga58374035d8fb4279976c717200afa6e7"><td class="mdescLeft">&#160;</td><td class="mdescRight">AlexNet classification testing example. <br/></td></tr>
<tr class="separator:ga58374035d8fb4279976c717200afa6e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9ee4c46de513b5af6b6129e6ae89cf54"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga9ee4c46de513b5af6b6129e6ae89cf54"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__appCNNClass.html#ga9ee4c46de513b5af6b6129e6ae89cf54">appCNNClassImageNetVGGNetTesting</a> ()</td></tr>
<tr class="memdesc:ga9ee4c46de513b5af6b6129e6ae89cf54"><td class="mdescLeft">&#160;</td><td class="mdescRight">VGGNet classification testing example. <br/></td></tr>
<tr class="separator:ga9ee4c46de513b5af6b6129e6ae89cf54"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Mar 20 2015 11:26:08 for TIML by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
